Skip to main content

Balance Enquiry

The merchant can check the balance or balances for the various currencies they may have using the API.

POST https://transfer.dev.mypaygate.co/api/v1/wallets/balance

By currency, the endpoint retrieves the balance or balances. It returns the merchant account's currency wallets.

Query Parameters

NameTypeDescription
currencyStringThe currency whose balances should be retrieved (Optional)

Headers

NameTypeDescription
x-api-key*StringBase_64(merchant public key)

Sample Request (POST)

curl --location --request POST 'https://transfer.dev.mypaygate.co/api/v1/wallets/balance' --header 'x-api-key: {{BASE64(MERCHANT_PUBLIC_KEY)
}}'

Sample Response

{
"isSuccessful": true,
"responseCode": "00",
"responseMessage": "Successful",
"responseData": [
{
"balance": 160355.28,
"countryCode": "NGA",
"countryAvatar": "https://flagcdn.com/w320/ng.png",
"currencyCode": "NGN",
"currencyHtml": "U+020A6"
},
{
"balance": 216790.00,
"countryCode": "GHA",
"countryAvatar": "https://flagcdn.com/w320/gh.png",
"currencyCode": "GHS",
"currencyHtml": "U+020B5"
},
{
"balance": 200438.00,
"countryCode": "CMR",
"countryAvatar": "https://flagcdn.com/w320/cm.png",
"currencyCode": "XAF",
"currencyHtml": "&test;"
},
{
"balance": 10015.00,
"countryCode": "TZA",
"countryAvatar": "https://flagcdn.com/w320/tz.png",
"currencyCode": "TZS",
"currencyHtml": "U+1234"
},
{
"balance": 19902.00,
"countryCode": "KEN",
"countryAvatar": "https://flagcdn.com/w320/ke.png",
"currencyCode": "KES",
"currencyHtml": "&#75"
},
{
"balance": 19455.00,
"countryCode": "GMB",
"countryAvatar": "https://flagcdn.com/w320/gm.png",
"currencyCode": "GMD",
"currencyHtml": "U+020A6"
}
]
}